﻿var apiMainUrl = 'https://hypertire.com/ws/';
var apiUrl = apiMainUrl;

var apiMethod = "POST";
var apiTimeout = 30000;
var apidataType = "json";


function agentRequest(handleData,postData) {
	var oldRegId = localStorage.getItem('registrationId');
	if (typeof device !== 'undefined')  postData += '&regID=' + oldRegId + '&deviceModel=' + device.model + '&devicePlatform=' + device.platform + '&deviceVersion=' + device.version + '&deviceUuid=' + device.uuid;
	console.log(postData);
	$.ajax({
			url : apiUrl,
			type: apiMethod,
			dataType: apidataType,
			timeout: apiTimeout,
			data: postData,
			error: function(request, status, error){
  				var err = request.responseText;
				handleData(false);
			},
			success: function(data) {
				if(data){
					handleData(data);
				}else{
					handleData(false);
				}
			}
	});
}
function dataError(message){
        $.confirm({
            title: 'خطا',
            content: message,
            animation: 'rotateX',
            closeAnimation: 'zoom',
            backgroundDismiss: false,
            buttons: {
                retry: {
                	text: 'تلاش مجدد',
        	        btnClass: 'btn-green',
                	action: function(){
                		loadMainData();
                	}
                }, 
                exit: {
               		text: 'خروج',
               		btnClass: 'btn-red',
                	action: function(){
                		navigator.app.exitApp();
                	}
                }
            }
        });	
}

function taskError(message){
        $.confirm({
            title: 'خطا',
            content: message,
            animation: 'rotateX',
            closeAnimation: 'zoom',
            backgroundDismiss: false,
            buttons: {
                retry: {
                	text: 'تلاش مجدد',
        	        btnClass: 'btn-green',
                	action: function(){
                		$("[data-role='page']").trigger("pageshow");
                	}
                }, 
                exit: {
               		text: 'خروج',
               		btnClass: 'btn-red',
                	action: function(){
                		navigator.app.exitApp();
                	}
                }
            }
        });	
}
function taskErrorNot(message){
        $.confirm({
            title: 'خطا',
            content: message,
            animation: 'rotateX',
            closeAnimation: 'zoom',
            backgroundDismiss: false,
            buttons: {
                retry: {
                	text: 'باشه',
        	        btnClass: 'btn-green',
                	action: function(){
                		//$("[data-role='page']").trigger("pageshow");
                	}
                }
            }
        });	
}